<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">


<hibernate-mapping default-lazy="false" default-cascade="all">
    <class entity-name="censusModalityResponse" table="CENSUS_RSP_MOD_J" lazy="false">
        <id type="java.lang.Long" name="id">
            <column name="CENSUS_RSP_MOD_ID"/>
            <generator class="sequence" >
				<param name="sequence">census_rsp_mod_seq_id</param>
			</generator>
        </id> 
         
		<many-to-one name="CensusModality" entity-name="modality" column="CENSUS_MODALITY_ID" unique="true" node="modality"/>
	
    </class>  
</hibernate-mapping>